#!/bin/bash

seed="$1"

if [ "$seed" == "" ]; then
    echo "Usage: $0 seed"
    exit 1
fi

# Uncomment the ones you want to run.  Note that each one takes only one
# core, but a nontrivial amount of RAM (estimated in the line above).

## 12 GiB
#screen -t v1 python3 sim.py vanilla none .05 10 $seed logdir
## 25 GiB
#screen -t v2 python3 sim.py vanilla none .1 10 $seed logdir
## 37 GiB
#screen -t v3 python3 sim.py vanilla none .15 10 $seed logdir
## 50 GiB
#screen -t v4 python3 sim.py vanilla none .2 10 $seed logdir
## 60 GiB
#screen -t v5 python3 sim.py vanilla none .25 10 $seed logdir
## 76 GiB
#screen -t v6 python3 sim.py vanilla none .30 10 $seed logdir
## 13 GiB
#screen -t tt1 python3 sim.py telescoping threshsig .05 10 $seed logdir
## 24 GiB
#screen -t tt2 python3 sim.py telescoping threshsig .1 10 $seed logdir
## 38 GiB
#screen -t tt3 python3 sim.py telescoping threshsig .15 10 $seed logdir
## 48 GiB
#screen -t tt4 python3 sim.py telescoping threshsig .2 10 $seed logdir
## 66 GiB
#screen -t tt5 python3 sim.py telescoping threshsig .25 10 $seed logdir
## 66 GiB
#screen -t tt6 python3 sim.py telescoping threshsig .30 10 $seed logdir
## 13 GiB
#screen -t tm1 python3 sim.py telescoping merkle .05 10 $seed logdir
## 24 GiB
#screen -t tm2 python3 sim.py telescoping merkle .1 10 $seed logdir
## 39 GiB
#screen -t tm3 python3 sim.py telescoping merkle .15 10 $seed logdir
## 48 GiB
#screen -t tm4 python3 sim.py telescoping merkle .2 10 $seed logdir
## 67 GiB
#screen -t tm5 python3 sim.py telescoping merkle .25 10 $seed logdir
## 69 GiB
#screen -t tm6 python3 sim.py telescoping merkle .30 10 $seed logdir
## 13 GiB
#screen -t st1 python3 sim.py singlepass threshsig .05 10 $seed logdir
## 24 GiB
#screen -t st2 python3 sim.py singlepass threshsig .1 10 $seed logdir
## 35 GiB
#screen -t st3 python3 sim.py singlepass threshsig .15 10 $seed logdir
## 49 GiB
#screen -t st4 python3 sim.py singlepass threshsig .2 10 $seed logdir
## 59 GiB
#screen -t st5 python3 sim.py singlepass threshsig .25 10 $seed logdir
## 71 GiB
#screen -t st6 python3 sim.py singlepass threshsig .30 10 $seed logdir
## 13 GiB
#screen -t sm1 python3 sim.py singlepass merkle .05 10 $seed logdir
## 24 GiB
#screen -t sm2 python3 sim.py singlepass merkle .1 10 $seed logdir
## 36 GiB
#screen -t sm3 python3 sim.py singlepass merkle .15 10 $seed logdir
## 51 GiB
#screen -t sm4 python3 sim.py singlepass merkle .2 10 $seed logdir
## 59 GiB
#screen -t sm5 python3 sim.py singlepass merkle .25 10 $seed logdir
## 75 GiB
#screen -t sm6 python3 sim.py singlepass merkle .30 10 $seed logdir
